Sends a portal message
curl --request POST \
--url https://api.smokeball.com/matters/{matterId}/portal/messages \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"message": "<string>",
"contactId": "93421c6f-40bd-465d-bb95-3b3b5e200e30",
"requireMFA": true
}
'import requests
url = "https://api.smokeball.com/matters/{matterId}/portal/messages"
payload = {
"message": "<string>",
"contactId": "93421c6f-40bd-465d-bb95-3b3b5e200e30",
"requireMFA": True
}
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
Authorization: '<api-key>',
'Content-Type': 'application/json-patch+json'
},
body: JSON.stringify({
message: '<string>',
contactId: '93421c6f-40bd-465d-bb95-3b3b5e200e30',
requireMFA: true
})
};
fetch('https://api.smokeball.com/matters/{matterId}/portal/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Portal
Sends a portal message
Sends a message to the specified contact on the client portal.
When using the Client Credentials grant type, include the UserId header to impersonate the lawyer in the firm who is sending the message.
POST
/
matters
/
{matterId}
/
portal
/
messages
Sends a portal message
Path Parameters
Body
application/json-patch+jsonapplication/jsonapplication/*+json
Response
When request is accepted.
āI